#version 330

uniform sampler2D fColorMap;

in vec2 gUV;
out vec4 outColor;

void main()
{
	vec4 myColor = vec4(0.5, 0.5, 1, 1);
	outColor = texture2D(fColorMap, gUV);
	//outColor = vec4(texColor.xyz, 1.0);
	if(outColor.r >= 0.5 && outColor.g >= 0.5 && outColor.b >= 0.5)
	{
		discard;
	}
}